## ipv4 ipv4 — IPv4 Settings |

## Properties

Table 63.

Key Name | Value Type | Default Value | Value Description
--- | --- | --- | ---
    address-data
    array of vardict
    addresses
    array of array of uint32
    auto-route-ext-gw
    NMTernary (int32)
    dad-timeout
    int32
    -1
    dhcp-client-id
    string
    dhcp-fqdn
    string
    dhcp-hostname
    string
    dhcp-hostname-flags
    uint32
    0
    dhcp-iaid
    string
    dhcp-reject-servers
    array of string
    dhcp-send-hostname
    boolean
    TRUE
    dhcp-timeout
    int32
    0
    dhcp-vendor-class-identifier
    string
    dns
    array of uint32
    dns-data
    array of strings
    dns-options
    array of string
    dns-priority
    int32
    0
    dns-search
    array of string
    gateway
    string
    ignore-auto-dns
    boolean
    FALSE
    ignore-auto-routes
    boolean
    FALSE
    link-local
    int32
    0
    may-fail
    boolean
    TRUE
    method
    string
    never-default
    boolean
    FALSE
    replace-local-rule
    NMTernary (int32)
    required-timeout
    int32
    -1
    route-data
    array of vardict
    route-metric
    int64
    -1
    route-table
    uint32
    0
    routes
    array of array of uint32
    routing-rules
    array of 'a{sv}'